<?php
/**
 * Genie external API interface.
 *
 * This file defines Genie's external API interface.  Other applications can
 * interact with Genie through this API.
 *
 * $Horde: genie/lib/api.php,v 1.12 2004/05/31 18:22:49 jan Exp $
 */

$_services['list'] = array(
    'args' => array('sortby', 'sortdir'),
    'type' => 'stringArray');

$_services['search'] = array(
    'link' => '%application%/search.php');

$_services['show'] = array(
    'link' => Util::addParameter('%application%/view.php?item=|item|', 'wishlist=|wishlist|'));


function _genie_list($sortby = null, $sortdir = null)
{
    global $conf, $prefs;
    require_once dirname(__FILE__) . '/../lib/base.php';

    if (!isset($sortby)) {
        $sortby = $prefs->getValue('sortby');
    }
    if (!isset($sortdir)) {
        $sortdir = $prefs->getValue('sortdir');
    }

    return Genie::listItems($sortby, $sortdir);
}
