<?php
/**
 * $Horde: genie/lib/prefs.php,v 1.3 2005/01/03 14:34:50 jan Exp $
 *
 * Copyright 2003-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

function handle_wishlistselect($updated)
{
    $default_wishlist = Util::getFormData('default_wishlist');
    if (!is_null($default_wishlist)) {
        $wishlists = Genie::listWishlists();
        if (is_array($wishlists) && isset($wishlists[$default_wishlist])) {
            $GLOBALS['prefs']->setValue('default_wishlist', $default_wishlist);
            $updated = true;
        }
    }

    return $updated;
}
