<?php echo $cManager->getJavaScript('item', 'item_category') ?>
<form method="post" name="item" action="item.php">
<?php Util::pformInput() ?>
<input type="hidden" name="actionID" value="<?php echo GENIE_SAVE_ITEM ?>" />
<input type="hidden" name="item" value="<?php echo $item_id ?>" />
<input type="hidden" name="wishlist_original" value="<?php echo $wishlist_id ?>" />
<input type="hidden" name="new_category" value="" />
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr><td align="left" class="header"><b><?php echo $title ?></b></td></tr>
</table>

<table border="0" cellpadding="2" cellspacing="0" width="100%">

<?php if (!$prefs->isLocked('default_wishlist') && count($wishlists)): ?>
<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Wishlist") ?></b>&nbsp;</td>
  <td class="item" width="100%">

  <select id="wishlist_target" name="wishlist_target">
  <?php
  foreach ($wishlists as $id => $wishlist) {
      $sel = ($id == $wishlist_id) ? ' selected="selected"' : '';
      printf('<option value="%s"%s>%s</option>',
             $id, $sel, $wishlist->get('name') . "\n");
  } ?>
  </select>

  </td>
</tr>
<?php else: ?>
<input type="hidden" name="wishlist_target" value="<?php echo htmlspecialchars(Genie::getDefaultWishlist()) ?>" />
<?php endif; ?>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Item Name") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <input name="item_name" type="text" size="20" value="<?php echo htmlspecialchars($item_name) ?>" size="50" maxlength="100" />
  </td>
</tr>
<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Item Category") ?></b>&nbsp;</td>
  <td class="item" width="100%"><?php echo $cManager->getSelect('item_category', $item_category) ?></td>
</tr>
<tr>
  <td class="item" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Price (each)") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <input type="text" size="10" name="item_price" value="<?php echo htmlspecialchars($item_price) ?>" />
  </td>
</tr>
<tr>
  <td class="item" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Quantity") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <input type="text" size="10" name="item_quantity" value="<?php echo htmlspecialchars($item_quantity) ?>" />
  </td>
</tr>
<tr>
  <td class="item" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Purchased?") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <?php echo Genie::buildPurchasedWidget('item_purchased', $item_purchased) ?>
  </td>
</tr>
<tr>
  <td class="item" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Product ID") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <input type="text" size="10" name="item_prodid" value="<?php echo htmlspecialchars($item_prodid) ?>" />
  </td>
</tr>
<tr>
  <td class="item" align="right" valign="top" nowrap="nowrap"><b><?php echo _("Product Type") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <?php echo Genie::buildProdIdTypeWidget('item_prodid', $item_prodid) ?>
  </td>
</tr>
<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Vendors that sell this item") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <textarea name="item_vendors" cols="50" rows="3"><?php echo htmlspecialchars($item_vendors) ?></textarea>
  </td>
</tr>
<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Description") ?></b>&nbsp;</td>
  <td class="item" width="100%">
    <textarea name="item_desc" cols="50" rows="5"><?php echo htmlspecialchars($item_desc) ?></textarea>
  </td>
</tr>
</table>

<br />
<table border="0" align="center" width="100%" cellspacing="0" cellpadding="0">
<tr>
  <td>
    <input type="submit" class="button" value="<?php echo _("Save Item") ?>" onclick="return checkCategory();" />&nbsp;
    <input type="reset" class="button" value="<?php echo _("Undo Changes") ?>" />
  </td>
</tr>
</table>
</form>
