<?php
if (!$prefs->isLocked('default_wishlist')):
    $wishlists = Genie::listWishlists();
    if (($default_wishlist = $prefs->getValue('default_wishlist')) == null ||
        !isset($wishlists[$default_wishlist])) {
        $default_wishlist = Auth::getAuth();
    }
?>

<b><?php echo _("Your default wishlist") ?></b>&nbsp;
<select name="default_wishlist">
<?php foreach ($wishlists as $id => $wishlist): ?>
    <option value="<?php echo $id ?>"<?php if ($id == $default_wishlist) echo ' selected="selected"'; ?>><?php echo $wishlist->get('name')?></option>
<?php endforeach; ?>
</select>

<?php endif; ?>
